Bug 1130093 - RFE: attach original syslog timestamp in journal messages
Summary: RFE: attach original syslog timestamp in journal messages
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 10:26 UTC by Tomas Heinrich
Modified: 2016-09-20 04:53 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-21 08:16:39 UTC


Attachments (Terms of Use)

Description Tomas Heinrich 2014-08-14 10:26:17 UTC
Description of problem:
As far as I can tell, the timestamps that are present in syslog messages[0] (sent by logger(1) et al) are ignored by journald. Instead, new timestamps are generated when the message arrives.

journald already provides couple of "syslog" fields (SYSLOG_FACILITY=, SYSLOG_IDENTIFIER=, SYSLOG_PID=) but there doesn't seem to be any way to obtain the timestamp that arrived with the message. Perhaps a new field through which this information could be accessed would be appropriate.

[0] e.g. "<30>Aug 12 11:50:49 vf17 systemd: Stopping System Logging Service..."


Version-Release number of selected component (if applicable):
systemd-208-21.fc20.x86_64

Steps to Reproduce:
man systemd.journal-fields(7)

Comment 1 Fedora End Of Life 2015-05-29 12:37:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jan Synacek 2016-01-21 08:16:39 UTC
https://github.com/systemd/systemd/issues/2398


Note You need to log in before you can comment on or make changes to this bug.